package com.logicbig.example;

import javax.ws.rs.ext.ParamConverter;
import java.time.LocalDateTime;
import java.time.ZoneId;
import java.util.Date;

public class MyDateConverter implements ParamConverter<LocalDateTime> {
    @Override
    public LocalDateTime fromString(String value) {
        Date date = new Date(value);
        return LocalDateTime.ofInstant(date.toInstant(), ZoneId.systemDefault());
    }

    @Override
    public String toString(LocalDateTime value) {
        return value.toString();
    }
}